import { type PropType } from 'vue';
import type { Router, RouteRecordRaw } from 'vue-router';
import type { Pinia } from 'pinia';
import type { ToastServiceMethods } from 'primevue/toastservice';
declare const _default: import("vue").DefineComponent<{
    portalBaseUrl: {
        type: StringConstructor;
        required: false;
    };
    loginBaseUrl: {
        type: StringConstructor;
        required: false;
    };
    router: {
        type: PropType<Router>;
        required: true;
    };
    routes: {
        type: PropType<RouteRecordRaw[]>;
        required: true;
    };
    piniaInstance: {
        type: PropType<Pinia>;
        required: true;
    };
    toast: {
        type: PropType<ToastServiceMethods>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "sign-out": () => void;
    onLocaleChanged: (locale: string) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    portalBaseUrl: {
        type: StringConstructor;
        required: false;
    };
    loginBaseUrl: {
        type: StringConstructor;
        required: false;
    };
    router: {
        type: PropType<Router>;
        required: true;
    };
    routes: {
        type: PropType<RouteRecordRaw[]>;
        required: true;
    };
    piniaInstance: {
        type: PropType<Pinia>;
        required: true;
    };
    toast: {
        type: PropType<ToastServiceMethods>;
        required: true;
    };
}>> & {
    "onSign-out"?: (() => any) | undefined;
    onOnLocaleChanged?: ((locale: string) => any) | undefined;
}, {}, {}>;
export default _default;
