declare const _default: {
  "ENTITIES": {
    "Phone": {
      "prefix": "Префикс"
    },
    "Country": {
      "code": "Страна"
    },
    "Offer": {
      "_name": "Заказать | Заказы",
      "_add_new": "Добавить новый заказ",
      "producer": "Продюсер",
      "label": "Ярлык",
      "cpu_model": "Модель процессора",
      "cpu_count": "Количество процессоров",
      "cpu_cores": "Ядра процессора",
      "ram": "ОЗУ",
      "disk_count": "# Дисков",
      "disk_gb": "Диск ГБ",
      "disk_type": "Тип диска",
      "disk_tag": "Тег диска",
      "location": "Местоположение",
      "description": "Описание",
      "tags": "Теги",
      "price": "Цена"
    },
    "Order": {
      "_name": "Заказы | Заказы сервера",
      "_add_new": "Добавить новый порядок серверов",
      "order_id": "ID",
      "created_at": "Создано",
      "created_by": "Автор",
      "username": "Имя пользователя",
      "total": "Итого",
      "status": "Статус",
      "items": {
        "_name": "Товар для заказа | Заказ товаров",
        "_header": "Заказ товаров",
        "_add_new": "Добавить новый элемент",
        "item_id": "Идентификатор",
        "item_name": "Имя",
        "item_price": "Цена",
        "quantity": "Количество",
        "total": "Итого",
        "CREATE": {
          "p_offer_id": "Предложение",
          "p_item_name": "Элемент",
          "p_item_price": "Цена",
          "p_quantity": "Количество"
        }
      }
    },
    "Inventory": {
      "_name": "Инвентарь",
      "_add_new": "Добавить новый элемент",
      "inventory_id": "ID",
      "created_at": "Создан в",
      "client": "Клиент",
      "item_type": "Тип",
      "item_model": "Модель",
      "item_url": "URL",
      "item_name": "Имя",
      "filter_ip": "IP",
      "item_description": "Описание",
      "item_price": "Цена",
      "addon_description": "Аддон",
      "parent_id": "Родитель",
      "admin_notes": "Заметки",
      "status": "Статус",
      "provider_code": "Код провайдера",
      "provider_model": "Модель поставщика"
    },
    "VirtualMachineType": {
      "_name": "Тип виртуальной машины | Типы виртуальных машин",
      "_add_new": "Добавить новый тип виртуальной машины",
      "type": "Тип",
      "name": "Имя"
    },
    "ServerDiskType": {
      "_name": "Тип диска | Типы дисков",
      "_add_new": "Добавить новый тип диска",
      "type": "Тип",
      "name": "Имя",
      "tag": "Ярлык"
    },
    "VirtualMachineModel": {
      "_name": "Модель виртуальной машины | Модели виртуальной машины",
      "_add_new": "Добавить новый элемент",
      "offer_id": "Заказать",
      "model": "Модель",
      "created_at": "Создано",
      "type": "Тип",
      "m_label": "Ярлык",
      "ram": "ОЗУ",
      "cpu_cores": "# ядер ЦП",
      "disk_gb": "Диск ГБ",
      "cost": "Стоимость",
      "price": "Цена",
      "admin_notes": "Заметки"
    },
    "ClusterVM": {
      "_name": "ВМ кластера | Виртуальные машины кластера",
      "id": "ИДЕНТИФИКАТОР",
      "cluster": "Кластер",
      "prox": "Прокс",
      "vmid": "VMID",
      "client": "Клиент",
      "name": "Имя",
      "port": "Порт",
      "state": "Штат",
      "is_locked": "Заблокировано?",
      "ram": "ОЗУ",
      "disk": "Диск",
      "ip": "IP",
      "mac": "МАК",
      "cores": "Ядра",
      "ipsets": "Наборы IP",
      "type": "Тип",
      "model": "Модель",
      "url": "URL",
      "notes": "Заметки",
      "client_notes": "Заметки клиента",
      "service": "Услуга",
      "buttons": {
        "rd_connection_string": "Строка подключения RD",
        "logs": "Журналы",
        "new_order": "Новый заказ",
        "api": "API",
        "grid_view": "Вид в виде сетки",
        "grid_view_tooltip": "Переключиться на вид сетки",
        "summary_view": "Просмотр сводки",
        "summary_view_tooltip": "Переключиться на обзор сводки",
        "reload_data": "Обновить данные",
        "start": "Начинать",
        "stop": "Останавливаться",
        "lock": "Замок",
        "unlock": "Разблокировать",
        "port_forwarding": "Перенаправление порта",
        "common_ports": "Общие порты",
        "assign_ipsets": "Назначить IP-сеты"
      },
      "states": {
        "undefined": "Неизвестный",
        "running": "Бег",
        "stopped": "Остановлено"
      },
      "confirm": {
        "delete": "Вы уверены, что хотите удалить виртуальную машину: {name}?",
        "start": "Вы уверены, что хотите запустить виртуальную машину: {name}?",
        "stop": "Вы уверены, что хотите остановить виртуальную машину: {name}?",
        "lock": "Вы уверены, что хотите заблокировать виртуальную машину: {name}?",
        "unlock": "Вы уверены, что хотите разблокировать виртуальную машину: {name}?"
      }
    },
    "ClientIp": {
      "_name": "IP | IP-адреса",
      "ip": "IP",
      "comment": "Комментарий",
      "ipsets": "Наборы IP"
    },
    "ClientIpset": {
      "_name": "Набор IP | Наборы IP",
      "_add_new": "Добавить новый набор IP-адресов",
      "info_line_1": "IPSet — это группа IP-адресов, занесенных в белый список брандмауэра (разрешенных для доступа к вашим серверам). Вы можете создать IPSet с указанием или без указания IP-адресов во время создания.",
      "info_line_2": "В любой момент вы можете добавить/удалить IP-адрес из IPSet. Вы можете назначить IPSet нескольким серверам. Каждому серверу может быть назначено несколько IPSet",
      "client": "Клиент",
      "name": "Имя",
      "comment": "Комментарий",
      "allowed_ips": "Разрешенные IP-адреса",
      "assign_vms": "Назначение виртуальных машин",
      "vms": "VMs",
      "white_list": "W/L",
      "ips": "IPs"
    },
    "DedicatedServer": {
      "_name": "Выделенный сервер | Выделенные серверы",
      "client": "Клиент",
      "hostname": "Имя хоста",
      "tag": "Тег",
      "model": "Модель",
      "serial": "Серийный номер",
      "wan_ip": "IP-адрес WAN",
      "wan_ip_str": "IP-адрес WAN",
      "wan_mac": "WAN MAC",
      "wan_mac_str": "WAN MAC",
      "ipmi_hostname": "Имя хоста IPMI",
      "ipmi_license": "Лицензия IPMI",
      "ipmi_ip": "IPMI IP",
      "ipmi_ip_str": "IPMI IP",
      "ipmi_mac": "IPMI MAC",
      "ipmi_mac_str": "IPMI MAC",
      "created_at": "Создано",
      "created_by": "Автор",
      "deleted_at": "Удален в"
    }
  },
  "TABLE_HEADERS": {
    "select": "Выбирать"
  },
  "THEME": {
    "switch_to_light": "Переключиться в режим освещения",
    "switch_to_dark": "Переключиться в темный режим"
  },
  "AUTH": {
    "email_address": "Адрес электронной почты",
    "password": "Пароль",
    "confirm_password": "Подтвердите пароль",
    "login": "Авторизоваться",
    "sign_up": "Зарегистрироваться",
    "sign_out": "Выход",
    "confirm_sign_out": "Вы уверены, что хотите выйти?"
  },
  "REGISTER": {
    "first_name": "Имя",
    "last_name": "Фамилия",
    "street": "Улица",
    "street2": "Улица 2",
    "city": "Город",
    "state": "Штат",
    "zip_code": "Почтовый индекс",
    "country": "Страна",
    "phone_number": "Номер телефона",
    "company_name": "Название компании",
    "vat_number": "Номер НДС",
    "website": "Веб-сайт"
  },
  "CONTACT_US": {
    "email": "Электронная почта",
    "your_name": "Ваше имя",
    "your_email": "Ваш адрес электронной почты",
    "your_phone_number": "Ваш номер телефона",
    "your_message": "Ваше сообщение",
    "button_label": "Отправить сообщение"
  },
  "SIGN_UP": {
    "title": "Зарегистрироваться",
    "button_label": "Зарегистрироваться",
    "fail_summary": "Не удалось зарегистрироваться",
    "already_a_user": "Уже являетесь пользователем?",
    "login_here": "Войти здесь"
  },
  "LOGIN": {
    "title": "Пожалуйста войдите",
    "button_label": "Авторизоваться",
    "fail_summary": "Не удалось войти",
    "forgot_password": "Забыли пароль?",
    "need_to_register": "У вас нет учетной записи?",
    "register_here": "Зарегистрируйтесь здесь"
  },
  "PASSWORD_RESET": {
    "title": "Нужна помощь с паролем?",
    "sub_title": "Введите адрес электронной почты, который вы используете для {title}, и мы поможем вам создать новый пароль.",
    "button_label": "Далее",
    "success_summary": "Письмо для сброса пароля отправлено",
    "success_details": "Пожалуйста, проверьте свою электронную почту. Подождите до 2 часов",
    "fail_summary": "Не удалось отправить электронное письмо для сброса пароля"
  },
  "ACCOUNT_NOT_VERIFIED": {
    "title": "Ваша учетная запись не подтверждена",
    "description": "Вам было отправлено письмо с подтверждением. Пожалуйста, проверьте свою электронную почту."
  }
}
;

export default _default;
